Bug 6153 - Imprint subfields displayed out of order on OPAC
Summary: Imprint subfields displayed out of order on OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-09 18:20 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.79 KB, patch)
2011-04-10 21:36 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-04-09 18:20:39 UTC
The imprint (field 260) is displayed out-of-order on the MARC21 XSLT record detail page. For example, the following data:
=260  \\$aNew York :$bHarper,$c2003$g(2005 printing)
Displays as:
Harper, New York : 2003 (2005 printing)
Instead of:
New York : Harper, 2003 (2005 printing)

Even more problematically, the following data:
=260  \\$a[S.l. :$bs.n.],$c1860.
Displays as:
s.n.], [S.l. : 1860
Instead of:
[S.l. : s.n.], 1860.

That's a bit confusing, especially if patrons are not entirely familiar with the abbreviations S.l. (sine loco) and s.n. (sine nomine).
Comment 1 Ian Walls 2011-04-10 21:36:17 UTC
Created attachment 3853 [details] [review]
proposed patch
Comment 2 Chris Cormack 2011-04-13 02:00:53 UTC
Template changes submitted after string freeze, deferring this for the 3.4.1 release
Comment 3 Chris Cormack 2011-04-26 08:34:31 UTC
Patch pushed, please test
Comment 4 Jared Camins-Esakov 2011-07-08 14:40:42 UTC
Seems to be working now. Closing.